<bugID>899213<Summary>Introduce Session Restore API for global data</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; rv:22.0) Gecko/20100101 Firefox/22.0 (Beta/Release)
Build ID: 20130618035212

Steps to reproduce:

We currently have special handling for Scratchpad's windows, but don't have any similar API for extensions.
In other words, we currently can save some tab- and browser window-related data, but what about some "global" data?


Actual results:

No easy way for now to save some global state like state of third-party windows.


Expected results:

We should have something like nsISessionStore.setGlobalValue()/nsISessionStore.getGlobalValue() (and rewrite Scratchpad-related things using this public API).</Description></bugID>